//==============================================================================
// BAPSUPPORT - The main global definitions for the CPhenix program - still needs
//		to be cleaned up.
// This program assumes that the main files were compiled as C files
//==============================================================================
#ifndef _BAPSUPPORT_H_
#define _BAPSUPPORT_H_
#ifdef __cplusplus
extern "C" {
#endif


// include support headers.  Need to figure out more later..
	
#include "3694s.h"

typedef unsigned char byte;			//			// define some simple data types.
typedef unsigned short word;		
typedef unsigned long ulong;		// 
typedef unsigned char bool;

#define u8	byte
#define u16	word
#define u32	ulong
#define _FALSE_		0
#define _TRUE_		1

#include "iopins.h"		// has our IO definitions defined.

//=============================================================================
//[CONSTANTS]
//=============================================================================
#define _BAP28_ 1
#define	WTIMERTICSPERMSMUL  	64	// BAP28 is 16mhz need a multiplyer and divider to make the conversion with /8192
#define WTIMERTICSPERMSDIV  	125 // 
#define USEINT_TIMERAV


// Define Interrupts we will process
typedef enum {_MASTER_INT_, TIMERAINT} INTS;
extern void enable(INTS ints);
extern void disable(INTS ints);


extern unsigned long GetCurrentTime(void);


extern long iabs(long s);
extern long imin (long a, long b);
extern long imax (long a, long b);


//-----------------------------------------------------------------------------
// Define Global variables
//-----------------------------------------------------------------------------
// debug handler...
extern bool g_fDBGHandleError;


#ifdef __cplusplus
}
#endif
#endif
